// pages/live/live.js
import {
  httpCloud
} from "../../utils/httpFunc";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLive: false,
    liveData: {},
    list: [],
    type: '简介'
  },
  activity: "",
  id: "",
  getDate() {
    const _this = this;
    httpCloud({
      name: "server",
      type: "getLiveData",
      data: {
        activityName: _this.activity,
        id: _this.id
      },
      call(res) {
        const obj = res || {};
        _this.setData({
          liveData: obj
        })
        wx.setNavigationBarTitle({
          title: decodeURIComponent(obj.title)
        })
      }
    })
  },

  select(e){
    console.log(e.currentTarget.dataset.type);
    this.setData({
      type: e.currentTarget.dataset.type
    })
  },

  liveing(e) {
    this.setData({
      isLive: true
    })
  },
  liveerr() {
    this.setData({
      isLive: false
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.activity = decodeURIComponent(options.activityName);
    this.id = options.id;
    this.getDate();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})